( cd usr/sbin ; rm -rf vigr )
( cd usr/sbin ; ln -sf vipw vigr )
( cd usr/bin ; rm -rf sg )
( cd usr/bin ; ln -sf newgrp sg )
( cd etc/pam.d ; rm -rf chfn )
( cd etc/pam.d ; ln -sf passwd chfn )
( cd etc/pam.d ; rm -rf chsh )
( cd etc/pam.d ; ln -sf passwd chsh )
( cd etc/pam.d ; rm -rf userdel )
( cd etc/pam.d ; ln -sf useradd userdel )
#%% begin initialize shadow-4.0.18.1-i586-P6
root_passwd=`grep root /etc/shadow | cut -f2 -d':'`
if [ "$root_passwd.x" = ".x" ]; then
echo "root(システム管理者)のパスワードを設定してください"
  while [ 0 ]; do
    /usr/bin/passwd root
    if [ $? = 0 ]; then 
       break
    fi
  done
echo "rootパスワードの設定完了"
fi

#%% end
